%define major	1
%define devname	%mklibname %{name} -d
%define libname	%mklibname %{name} %{major}
%define gstname	gstreamer0.10-%{name}

Name:		pocketsphinx
Version:	0.8
Release:	%mkrel 1
Summary:	Real-time speech recognition
Group:		Sound
License:	BSD and LGPLv2+
URL:		http://www.pocketsphinx.org/
Source:		http://downloads.sourceforge.net/cmusphinx/%{name}-%{version}.tar.xz
#-------------------------------------------------------
BuildRequires:	python-setuptools
BuildRequires:	sphinxbase-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}xml2-devel
#-------------------------------------------------------

%description
PocketSphinx is a version of the open-source Sphinx-II speech recognition
system which is able to recognize speech in real-time.  While it may be
somewhat less accurate than the offline speech recognizers, it is lightweight
enough to run on hand-held and embedded devices.

%package -n %{devname}
Summary:	Header files for developing with %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing with %{name}.

%package -n %{libname}
Summary:	Shared libraries for %{name} executables
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name} executables.

%package -n python-%{name}
Summary:	Python interface to %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-%{name}
Python interface to %{name}.

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		Sound
BuildRequires:	libgstreamer-devel
BuildRequires:	libgstreamer-plugins-base-devel
Requires:	%{name} = %{version}-%{release}

%description -n %{gstname}
Gstreamer plugin for %{name}.

%prep
rm -fR %{buildroot}
%setup -q

%build
%configure2_5x --disable-static
%make LIBS="-lsphinxbase -lsphinxad -lm"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitearch}
%makeinstall_std

mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 doc/*.1 %{buildroot}%{_mandir}/man1/

# we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/*

%files -n %{gstname}
%defattr(-,root,root)
%{_libdir}/gstreamer-0.10/libgst%{name}.so

%clean
rm -rf %buildroot

%changelog
* Sun Feb 16 2014 travisn <at gmail> 0.8-1.pclos2014
- imported package pocketsphinx

